Developer Documentation

Public Member Functions | List of all members
SelectionObjectMarker Class Reference

`#include <OpenFlipper/publicWidgets/objectSelectionWidget/SelectionObjectMarker.hh>`

Inheritance diagram for SelectionObjectMarker:

## Public Member Functions
bool | stencilRefForObject (BaseObjectData *_obj, GLuint &_reference)
bool | blendForStencilRefNumber (GLuint _reference, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)
bool | stencilRefForObject (BaseObjectData *_obj, GLuint &_reference)
bool | blendForStencilRefNumber (GLuint _reference, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)
Public Member Functions inherited from ViewObjectMarker
virtual | ~ViewObjectMarker ()
| Destructor.
virtual Type | type ()
virtual bool | blendForStencilRefBit (GLuint _refbit, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)

## Additional Inherited Members
Public Types inherited from ViewObjectMarker
enum | Type { PerNumber, PerBit }
| Blending type for this marker. More...

## Detailed Description

Object marker to visualize objectPickDialog selection

Definition at line 53 of file SelectionObjectMarker.hh.

## Member Function Documentation

## ◆ blendForStencilRefNumber() [1/2]

bool SelectionObjectMarker::blendForStencilRefNumber | ( | GLuint | _reference,
|  | GLenum & | _src,
|  | GLenum & | _dst,
|  | ACG::Vec4f & | _color
| ) |  |
| virtual

Per reference number blending values

Parameters

  _reference | stencil reference for blending
  _src | sfactor parameter for ACG::GLState::blendFunc function
  _dst | dfactor parameter for ACG::GLState::blendFunc function
  _color | color used for blending

Returns
  should blending be berformed for this reference

Reimplemented from ViewObjectMarker.

Definition at line 70 of file SelectionObjectMarker.cc.

## ◆ blendForStencilRefNumber() [2/2]

bool SelectionObjectMarker::blendForStencilRefNumber | ( | GLuint | _reference,
|  | GLenum & | _src,
|  | GLenum & | _dst,
|  | ACG::Vec4f & | _color
| ) |  |
| virtual

Per reference number blending values

Parameters

  _reference | stencil reference for blending
  _src | sfactor parameter for ACG::GLState::blendFunc function
  _dst | dfactor parameter for ACG::GLState::blendFunc function
  _color | color used for blending

Returns
  should blending be berformed for this reference

Reimplemented from ViewObjectMarker.

## ◆ stencilRefForObject() [1/2]

bool SelectionObjectMarker::stencilRefForObject | ( | BaseObjectData * | _obj,
|  | GLuint & | _reference
| ) |  |
| virtual

Get stencil reference for object

Parameters

  _obj | Object
  _reference | stencil reference for object painting

Returns
  should the reference be used

Implements ViewObjectMarker.

## ◆ stencilRefForObject() [2/2]

bool SelectionObjectMarker::stencilRefForObject | ( | BaseObjectData * | _obj,
|  | GLuint & | _reference
| ) |  |
| virtual

Get stencil reference for object

Parameters

  _obj | Object
  _reference | stencil reference for object painting

Returns
  should the reference be used

Implements ViewObjectMarker.

Definition at line 54 of file SelectionObjectMarker.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/publicWidgets/objectSelectionWidget/SelectionObjectMarker.hh
- OpenFlipper/publicWidgets/objectSelectionWidget/SelectionObjectMarker.cc